For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Call History APIs

Access the API Call History.

Get Call ID

get

Get details of an API call. This is equivalent to Inspect detailed log. If using an API key, the API key group must contain user groups that are also assigned to Spark.DownloadAPILog.json or Spark.AllEncompassingProxy.json.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your sign-in URL and also available in the user menu.

Example: mytenant
callIdstring · uuidRequired

Execute API call_id.

Example: a5c6a61f-06f8-499b-8a4d-818be4e74d29
Query parameters
indexintegerOptional

Index number for the record to get. With v4/execute, multiple request records can be submitted at once.

Responses
200

OK

application/json
objectOptional
get/{tenant}/api/v3/log/getexecutionhistorybycallid/{callId}
GET /{tenant}/api/v3/log/getexecutionhistorybycallid/{callId} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "status": "Success",
  "response_data": "{\"EngineCallId\"...}",
  "response_meta": {
    "system": "SPARK",
    "request_timestamp": "2025-08-14T07:32:22.271Z"
  },
  "error": null
}

Download as Excel

post

Get the original Excel file with inputs embedded from an Execute API call_id. This is equivalent to Download as Excel. If using an API key, the API key group must contain user groups that are also assigned to Spark.DownloadAPILog.json or Spark.AllEncompassingProxy.json.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your sign-in URL and also available in the user menu.

Example: mytenant
folderstringRequired

Folder associated with the API call.

Example: myfolder
servicestringRequired

Service associated with the API call.

Example: myservice
callIdstring · uuidRequired

Execute API call_id.

Example: a5c6a61f-06f8-499b-8a4d-818be4e74d29
Body
objectOptional
Responses
200

OK

application/json
objectOptional
post/{tenant}/api/v3/folders/{folder}/services/{service}/download/xml/{callId}
POST /{tenant}/api/v3/folders/{folder}/services/{service}/download/xml/{callId} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2

{}
200

OK

{
  "status": null,
  "response_data": {
    "download_url": "https://excel.myenvironment.coherent.global/SparkService_CallLogDetails_a5c6a61f-06f8-499b-8a4d-818ce4e74d29.xlsx"
  },
  "response_meta": {
    "service_id": "d160a776-01ba-433d-8cb4-60fa2710b085",
    "version_id": "e778bbb1-288c-42f5-a4c3-d0a47f7d0463",
    "version": "0.2.0",
    "process_time": 0,
    "call_id": "18f53170-93d1-4b3c-88b6-04ae302b7e8d",
    "compiler_type": "Neuron",
    "compiler_version": null,
    "source_hash": null,
    "engine_id": "53ACA991910FF82E1DF0B133D66A5A97",
    "correlation_id": null,
    "parameterset_version_id": null,
    "system": "SPARK",
    "request_timestamp": "2025-02-13T05:48:19.654Z"
  },
  "error": null
}

Download API calls as CSV post job

post

Get a ZIP of CSV files of the API calls. This is equivalent to Download all API calls, Download as CSV. If using an API key, the API key group must contain user groups that are also assigned to Spark.DownloadCsvLog.json or Spark.AllEncompassingProxy.json.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your sign-in URL and also available in the user menu.

Example: mytenant
folderstringRequired

Folder associated with the API call.

Example: myfolder
servicestringRequired

Service associated with the API call.

Example: myservice
Query parameters
CsvExpandedbooleanOptional

CSV output includes expanded tables.

Example: true
Body
Responses
200

OK

application/json
objectOptional
post/{tenant}/api/v3/folders/{folder}/services/{service}/log/downloadcsv
POST /{tenant}/api/v3/folders/{folder}/services/{service}/log/downloadcsv HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 60

{
  "request_data": {
    "start_date": "2023-11-11",
    "end_date": null
  }
}
200

OK

{
  "status": null,
  "response_data": {
    "job_id": "ebcbf840-df82-472a-b9d4-073f14f4320b"
  },
  "response_meta": {
    "system": "SPARK",
    "request_timestamp": "2023-11-14T07:59:43.050Z"
  },
  "error": null
}

Download API calls as CSV get job status

get

Get a ZIP of CSV files of the API calls. This is equivalent to Download all API calls, Download as CSV. If using an API key, the API key group must contain user groups that are also assigned to Spark.DownloadCsvLog.json or Spark.AllEncompassingProxy.json.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your sign-in URL and also available in the user menu.

Example: mytenant
folderstringRequired

Folder associated with the API call.

Example: myfolder
servicestringRequired

Service associated with the API call.

Example: myservice
jobIdstring · uuidRequired

job_id associated from POST job.

Example: b13a5526-60c8-43cc-840f-2c76dca701d9
Responses
200

OK

application/json
objectOptional
get/{tenant}/api/v3/folders/{folder}/services/{service}/log/downloadcsv/status/{jobId}
GET /{tenant}/api/v3/folders/{folder}/services/{service}/log/downloadcsv/status/{jobId} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "status": null,
  "response_data": {
    "progress": 100,
    "download_url": "https://environment.coherent.global/SparkService_allRecords_2023_11_14_T_08_25_40.zip"
  },
  "response_meta": {
    "system": "SPARK",
    "request_timestamp": "2023-11-14T08:25:40.762Z"
  },
  "error": null
}

Download API calls as JSON post job

post

Get a ZIP of JSON files of the API calls. This is equivalent to Download all API calls, Download as JSON. If using an API key, the API key group must contain user groups that are also assigned to Spark.DownloadJSONLog.json or Spark.AllEncompassingProxy.json.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your sign-in URL and also available in the user menu.

Example: mytenant
folderstringRequired

Folder associated with the API call.

Example: myfolder
servicestringRequired

Service associated with the API call.

Example: myservice
Body
Responses
200

OK

application/json
objectOptional
post/{tenant}/api/v3/folders/{folder}/services/{service}/log/downloadJSON
POST /{tenant}/api/v3/folders/{folder}/services/{service}/log/downloadJSON HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 60

{
  "request_data": {
    "start_date": "2023-11-11",
    "end_date": null
  }
}
200

OK

{
  "status": null,
  "response_data": {
    "job_id": "ebcbf840-df82-472a-b9d4-073f14f4320b"
  },
  "response_meta": {
    "system": "SPARK",
    "request_timestamp": "2023-11-14T07:59:43.050Z"
  },
  "error": null
}

Download API calls as JSON get job status

get

Get a ZIP of JSON files of the API calls. This is equivalent to the API Call History functionality to Download all API calls, Download as JSON. If using an API key, the API key group must contain user groups that are also assigned to Spark.DownloadJSONLog.json or Spark.AllEncompassingProxy.json.

Authorizations
AuthorizationstringRequired

Bearer token can be accessed from the user menu.

Path parameters
tenantstringRequired

Tenant is part of your sign-in URL and also available in the user menu.

Example: mytenant
folderstringRequired

Folder associated with the API call.

Example: myfolder
servicestringRequired

Service associated with the API call.

Example: myservice
jobIdstring · uuidRequired

job_id associated from POST job.

Example: b13a5526-60c8-43cc-840f-2c76dca701d9
Responses
200

OK

application/json
objectOptional
get/{tenant}/api/v3/folders/{folder}/services/{service}/log/downloadJSON/status/{jobId}
GET /{tenant}/api/v3/folders/{folder}/services/{service}/log/downloadJSON/status/{jobId} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "status": null,
  "response_data": {
    "progress": 100,
    "download_url": "https://environment.coherent.global/SparkService_allRecords_2023_11_14_T_08_25_40.zip"
  },
  "response_meta": {
    "system": "SPARK",
    "request_timestamp": "2023-11-14T08:25:40.762Z"
  },
  "error": null
}

Last updated